Page MenuHomePhabricator

efl_debugd: BSD
Closed, ResolvedPublic

Description

in/efl/efl_debugd.c: In function '_monitor':
bin/efl/efl_debugd.c:413:23: error: array type has incomplete element type 'struct epoll_event'
    struct epoll_event events[MAX_EVENTS];
                       ^
bin/efl/efl_debugd.c:420:15: warning: implicit declaration of function 'epoll_wait' [-Wimplicit-function-declaration]
         ret = epoll_wait (_epfd, events, MAX_EVENTS, -1);
               ^
bin/efl/efl_debugd.c:429:42: error: 'EPOLLHUP' undeclared (first use in this function)
                   if (events[i].events & EPOLLHUP)
                                          ^
bin/efl/efl_debugd.c:429:42: note: each undeclared identifier is reported only once for each function it appears in
bin/efl/efl_debugd.c:439:42: error: 'EPOLLIN' undeclared (first use in this function)
                   if (events[i].events & EPOLLIN)
                                          ^
bin/efl/efl_debugd.c:448:53: error: storage size of 'event' isn't known
                                  struct epoll_event event;
                                                     ^
bin/efl/efl_debugd.c:455:34: warning: implicit declaration of function 'epoll_ctl' [-Wimplicit-function-declaration]
                                  epoll_ctl (_epfd, EPOLL_CTL_ADD, new_fd, &event);
                                  ^
bin/efl/efl_debugd.c:455:52: error: 'EPOLL_CTL_ADD' undeclared (first use in this function)
                                  epoll_ctl (_epfd, EPOLL_CTL_ADD, new_fd, &event);
                                                    ^
bin/efl/efl_debugd.c:448:53: warning: unused variable 'event' [-Wunused-variable]
                                  struct epoll_event event;
                                                     ^
bin/efl/efl_debugd.c:413:23: warning: unused variable 'events' [-Wunused-variable]
    struct epoll_event events[MAX_EVENTS];
                       ^
bin/efl/efl_debugd.c: In function '_server_launch':
bin/efl/efl_debugd.c:616:11: error: variable 'event' has initializer but incomplete type
    struct epoll_event event = {0};
           ^
bin/efl/efl_debugd.c:616:32: warning: excess elements in struct initializer
    struct epoll_event event = {0};
                                ^
bin/efl/efl_debugd.c:616:32: note: (near initialization for 'event')
bin/efl/efl_debugd.c:616:23: error: storage size of 'event' isn't known
    struct epoll_event event = {0};
                       ^
bin/efl/efl_debugd.c:618:12: warning: implicit declaration of function 'epoll_create' [-Wimplicit-function-declaration]
    _epfd = epoll_create (MAX_EVENTS);
            ^
bin/efl/efl_debugd.c:623:19: error: 'EPOLLIN' undeclared (first use in this function)
    event.events = EPOLLIN;
                   ^
bin/efl/efl_debugd.c:624:22: error: 'EPOLL_CTL_ADD' undeclared (first use in this function)
    epoll_ctl (_epfd, EPOLL_CTL_ADD, _listening_unix_fd, &event);
                      ^
bin/efl/efl_debugd.c:616:23: warning: unused variable 'event' [-Wunused-variable]
    struct epoll_event event = {0};
                       ^
gmake[4]: *** [Makefile:39683: bin/efl/bin_efl_efl_debugd-efl_debugd.o] Error 1
gmake[4]: *** Waiting for unfinished jobs....
gmake[3]: *** [Makefile:51553: all-recursive] Error 1
gmake[2]: *** [Makefile:17288: all] Error 2
gmake[1]: *** [Makefile:2952: all-recursive] Error 1
gmake: *** [Makefile:2049: all] Error 2
root@Beastie:/src/efl # man epoll

OSX build fixed with: https://git.enlightenment.org/core/efl.git/commit/?id=e9f727044b38b1e1897dc28161d355f0d18a4ecb

Can it be enabled w/Linux rather that lotd of if !BSD !OSX !WIN ????

netstar created this task.Jun 6 2017, 10:27 AM
vtorri added a subscriber: vtorri.

imho the code should be better organized so that multi platform support can be added in a better way

cedric closed this task as Resolved.Jun 8 2017, 10:53 AM
cedric added a subscriber: cedric.

Closed by D4946

Hi guys,

Just fyi, I am rewriting all the daemon to use the Ecore_Con Eo objects (Efl.Net...).

Should be ready soon, as I already rewrote it and it finally compiles. Now it needs to work...

JackDanielZ

Hi guys,

It finally works. I pushed it in my devs/jackdanielz/edebug_reloaded branch, just in case I missed something. I reverted the patches that were removing the daemon from the build.

Please could you check that it works on WIndows, BSD, MacOS...?

Thanks
JackDanielZ

It builds fine on FreeBSD...that is good!

Whether it works or not I don't know I've no idea!!!

vtorri added a comment.Jun 9 2017, 6:22 AM

it builds on Windows and elm_test can be launched

just :

lib/eina/eina_debug_bt_file.c:143:9: warning: implicit declaration of function 'realpath' [-Wimplicit-function-declaration]

realpath is in Evil as this function does not exist on Windows.